Package org.eclipse.emf.cdo.eresource

# Interface CDOResourceLeaf

All Superinterfaces:
  `CDOObject`, `CDOResourceNode`, `CDOWithID`, `EObject`, `Notifier`

All Known Subinterfaces:
  `CDOBinaryResource`, `CDOFileResource<IO>`, `CDOResource`, `CDOTextResource`, `InternalCDOResource`

All Known Implementing Classes:
  `CDOBinaryResourceImpl`, `CDOFileResourceImpl`, `CDOResourceImpl`, `CDOResourceLeafImpl`, `CDOTextResourceImpl`

public interface CDOResourceLeaf extends CDOResourceNode
A representation of the model object 'CDO Resource Leaf'.

Since:
  4.1
See Also:
  - `EresourcePackage.getCDOResourceLeaf()`
Generated
Model
  abstract="true"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`ROOT_NAME, ROOT_PATH`

## Method Summary

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`delete, getBasename, getExtension, getFolder, getName, getPath, getURI, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`